API v1API reference
Create a signed webhook
Register an HTTPS endpoint on an exact hostname verified in the selected workspace. The signing secret is shown once in this response.
POST
/v1/webhooksAuthorization
bearerKey AuthorizationBearer <token>
A scoped automation key authorized for the REST API.
In: header
Header Parameters
X-Ndnci-Workspace*string
Select a workspace explicitly included in this access grant.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/webhooks" \ -H "X-Ndnci-Workspace: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Authorization: Bearer <NDNCI_API_KEY>" \ -H "Content-Type: application/json" \ -d '{ "url": "https://hooks.example.org/ndnci", "eventTypes": [ "job.completed", "job.failed" ], "enabled": true }'{ "success": true, "code": "PUBLIC_WEBHOOKS_CREATE", "message": "Successful response", "data": { "webhook": { "id": "123e4567-e89b-42d3-a456-426614174007", "workspaceId": "123e4567-e89b-42d3-a456-426614174001", "url": "https://hooks.example.org/ndnci", "eventTypes": [ "job.completed", "job.failed" ], "enabled": true, "createdAt": "2026-10-01T12:00:00Z", "updatedAt": "2026-10-01T12:00:00Z" }, "secret": "whsec_AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA" }}Required scope: webhooks:write · Usage points: 5
Credits are charged separately for work that consumes paid services.